# H225_GatekeeperRejectReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_resourceUnavailable, e_terminalExcluded, e_invalidRevision, e_undefinedReason, e_securityDenial, e_genericDataReason, e_neededFeatureNotSupported, e_securityError }

## Public Member Functions

| H225_GatekeeperRejectReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_SecurityErrors & ()
| operator const H225_SecurityErrors & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_GatekeeperRejectReason::Choices

Enumerator:

  e_resourceUnavailable |
  e_terminalExcluded |
  e_invalidRevision |
  e_undefinedReason |
  e_securityDenial |
  e_genericDataReason |
  e_neededFeatureNotSupported |
  e_securityError |

## Constructor & Destructor Documentation

H225_GatekeeperRejectReason::H225_GatekeeperRejectReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_GatekeeperRejectReason::operator H225_SecurityErrors & | ( |  | ) |

H225_GatekeeperRejectReason::operator const H225_SecurityErrors & | ( |  | ) | const

PBoolean H225_GatekeeperRejectReason::CreateObject | ( |  | ) |

PObject* H225_GatekeeperRejectReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h